%global _description %{expand:
This package provides rpm configuration files specific to the CentOS
Hyperscale SIG.}

%bcond bootstrap 0

Name:           redhat-rpm-config-hyperscale
Version:        0
Release:        1%{?dist}
Summary:        CentOS Hyperscale SIG rpm configuration files

License:        MIT
URL:            https://gitlab.com/CentOS/Hyperscale/rpms/redhat-rpm-config-hyperscale
Source:         README.md
Source:         LICENSE
Source:         macros.hyperscale
Source:         macros.hyperscale-experimental
Source:         macros.hyperscale-facebook
Source:         macros.hyperscale-gnome
Source:         macros.hyperscale-intel
Source:         macros.hyperscale-kernel

BuildRequires:  coreutils
Requires:       redhat-rpm-config
# For consistency we provide the name with the corresponding tag as well
Provides:       %{name}-main = %{version}-%{release}

BuildArch:      noarch

%description    %{_description}

The macros defined in this package target the Hyperscale Main build tag and
repository.

%package        experimental
Summary:        %{summary} for Experimental
Requires:       %{name} = %{version}-%{release}

%description    experimental %{_description}

The macros defined in this package target the Hyperscale Experimental build tag
and repository.

%package        facebook
Summary:        %{summary} for Facebook
Requires:       %{name} = %{version}-%{release}

%description    facebook %{_description}

The macros defined in this package target the Hyperscale Facebook build tag
and repository.

%package        gnome
Summary:        %{summary} for GNOME
Requires:       %{name} = %{version}-%{release}

%description    gnome %{_description}

The macros defined in this package target the Hyperscale GNOME build tag
and repository.

%package        intel
Summary:        %{summary} for Intel
Requires:       %{name} = %{version}-%{release}

%description    intel %{_description}

The macros defined in this package target the Hyperscale Intel build tag
and repository.

%package        kernel
Summary:        %{summary} for Kernel
Requires:       %{name} = %{version}-%{release}

%description    kernel %{_description}

The macros defined in this package target the Hyperscale Kernel build tag
and repository.

%prep
%setup -c -T
# So we can use names instead of source numbers
cp -p %{sources} .

%build
# Nothing to do

%install
install -Dpm0644 -t %{buildroot}%{_rpmmacrodir} macros.hyperscale*

%files
%license LICENSE
%doc README.md
%{_rpmmacrodir}/macros.hyperscale

%files experimental
%{_rpmmacrodir}/macros.hyperscale-experimental

%files facebook
%{_rpmmacrodir}/macros.hyperscale-facebook

%files gnome
%{_rpmmacrodir}/macros.hyperscale-gnome

%files intel
%{_rpmmacrodir}/macros.hyperscale-intel

%files kernel
%{_rpmmacrodir}/macros.hyperscale-kernel

%changelog
* Tue May 13 2025 Davide Cavalca <dcavalca@centosproject.org>
- Initial version
